Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model
Interface Dimension

All Superinterfaces:
  Decorator, Displayable, Expression, Visitable

All Known Implementing Classes:
  DimensionImpl, MondrianDimension, TestDimension, XMLA_Dimension

    public interface Dimension

extends Expression, Displayable, Visitable, Decorator

OLAP Dimension

Author:
  av

Field Summary
`static java.util.Comparator` | `MEASURES_FIRST_COMPARATOR` sorts Dimensions by labels except Measures which always comes first.

Fields inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`LABEL_COMPARATOR`

Method Summary
`Hierarchy[]` | `getHierarchies()` return the hierarchies of this dimension
`boolean` | `isMeasure()` true if this is the measures dimension
`boolean` | `isTime()` return true if this is a time dimension.

Methods inherited from interface com.tonbeller.jpivot.olap.model.Visitable
`accept`

Methods inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`getLabel`

Methods inherited from interface com.tonbeller.jpivot.olap.model.Visitable
`accept`

Methods inherited from interface com.tonbeller.jpivot.olap.model.Decorator
`getRootDecoree`

Field Detail

### MEASURES_FIRST_COMPARATOR

    static final java.util.Comparator MEASURES_FIRST_COMPARATOR

  sorts Dimensions by labels except Measures which always comes first.

Method Detail

### getHierarchies

    Hierarchy[] getHierarchies()

  return the hierarchies of this dimension

### isTime

    boolean isTime()

  return true if this is a time dimension. Its common to have multiple time dimensions, e.g. one for receipt of order and one for shipping.

### isMeasure

    boolean isMeasure()

  true if this is the measures dimension

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD